# InvenTree Deployment

These are the deployment files required to get InvenTree up and running. InvenTree is deployed as a `docker compose` setup and therefore has the following dependencies:

- Podman/Docker
- Docker Compose
- Make (as script runner)

## Configuration

Copy the `sample.env` into a file named `.env` and make sure to adapt all values to your needs, especially secrets.

## Installation

In order to run invoke an update or complete the first setup, `make update` is used to pull the latest images and apply all database migrations.

The command `make up` can be used to run the setup as a foreground service, `make "up -d"` can be used to run the setup in detached mode.

### SSO

Login as InvenTree admin user. Under `Settings > Login Settings` make sure to `Enable SSO`.

